complexType "BasketReferenceInformation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (basketName?, basketId*)?, referencePool?, ((nthToDefault?, mthToDefault?) | tranche?)?
</...>

Content Model Elements (6):

  basketId, basketName, mthToDefault, | nthToDefault, referencePool, tranche (in basketReferenceInformation)

All Direct / Indirect Based Elements (1):

  basketReferenceInformation

Known Usage Locations

- As direct type of elements (1):
  basketReferenceInformation

Annotation
CDS Basket Reference Information
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="BasketReferenceInformation"> <xsd:sequence> <xsd:group minOccurs="0" ref="BasketIdentifier.model"/> <xsd:element minOccurs="0" name="referencePool" type="ReferencePool"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="nthToDefault" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="mthToDefault" type="xsd:positiveInteger"/> </xsd:sequence> <xsd:element minOccurs="0" name="tranche" type="Tranche"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/6)
mthToDefault

  Type: | xsd:positiveInteger, predefined, simple content

  M th reference obligation to default to allow representation of N th to M th defaults.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="mthToDefault" type="xsd:positiveInteger"/>

nthToDefault

  Type: | xsd:positiveInteger, predefined, simple content

  N th reference obligation to default triggers payout.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nthToDefault" type="xsd:positiveInteger"/>

referencePool

  Type: | ReferencePool, complex content

  This element contains all the reference pool items to define the reference entity and reference obligation(s) in the basket
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referencePool" type="ReferencePool"/>

tranche

  Type: | Tranche, complex content

  This element contains CDS tranche terms.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tranche" type="Tranche"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.